---
title: RTCDataChannel.onclose
slug: Web/API/RTCDataChannel/onclose
tags:
  - Event Handler
  - Experimental
  - Property
  - RTCDataChannel
  - Reference
  - WebRTC
  - onclose
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}</p>

<p>The <code><strong>RTCDataChannel.onclose</strong></code> property is an {{domxref("EventHandler")}} which specifies a function to be called by the browser when the {{event("close")}} event is received by the {{domxref("RTCDataChannel")}}. This is a simple {{domxref("Event")}} which indicates that the data channel has closed down.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>RTCDataChannel</em>.onclose = <em>function</em>;</pre>

<h3 id="Value">Value</h3>

<p>A function which the browser will call to handle the {{event("close")}} event. The function receives as its sole input parameter the event itself, as an object of type {{domxref("Event")}}.</p>

<h2 id="Example">Example</h2>

<p>In this sample from a hypothetical instant messaging client, a data channel is created, then handlers for the {{event("open")}} and {{event("close")}} events are set up to enable and disable user interface objects based on the state of the channel.  This way, the message entry field and the send button are only enabled for use when the connection is actually open.</p>

<pre class="brush: js">let pc = new RTCPeerConnection();
let dc = pc.createDataChannel("MessageChannel")}};

dc.onopen = function(event) {
  document.getElementById("messageBox").disabled = false;
  document.getElementById("sendButton").disabled = false;
};

dc.onclose = function(event) {
  document.getElementById("messageBox").disabled = true;
  document.getElementById("sendButton").disabled = true;
}

/* Now negotiate the connection, etc... */</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtcdatachannel-onclose', 'RTCDataChannel.onclose') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDataChannel.onclose")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC">WebRTC</a></li>
 <li>The {{event("close")}} event and its type, {{domxref("Event")}}.</li>
 <li>{{domxref("RTCDataChannel.onopen")}}</li>
 <li>The {{event("open")}} event and its type, {{domxref("Event")}}.</li>
</ul>
